Index: tmp/org.txm.chartsengine.rcp/META-INF/MANIFEST.MF
===================================================================
--- tmp/org.txm.chartsengine.rcp/META-INF/MANIFEST.MF	(revision 774)
+++ tmp/org.txm.chartsengine.rcp/META-INF/MANIFEST.MF	(revision 775)
@@ -4,16 +4,13 @@
 Bundle-SymbolicName: org.txm.chartsengine.rcp;singleton:=true
 Bundle-Version: 1.0.0.qualifier
 Bundle-RequiredExecutionEnvironment: JavaSE-1.7
-Require-Bundle: org.txm.utils;bundle-version="1.0.0",
- org.eclipse.ui;bundle-version="3.106.1",
- org.eclipse.core.runtime;bundle-version="3.10.0",
- org.txm.chartsengine.core;bundle-version="1.0.0",
- org.txm.core;bundle-version="0.7.0",
- org.txm.rcp;bundle-version="0.7.8",
- org.eclipse.core.resources,
- org.eclipse.swt,
- org.eclipse.core.expressions;bundle-version="3.4.600",
- org.eclipse.e4.ui.workbench.renderers.swt
+Require-Bundle: org.eclipse.ui;bundle-version="3.106.1";visibility:=reexport,
+ org.txm.chartsengine.core;bundle-version="1.0.0";visibility:=reexport,
+ org.txm.rcp;bundle-version="0.7.8";visibility:=reexport,
+ org.eclipse.core.resources;visibility:=reexport,
+ org.eclipse.swt;visibility:=reexport,
+ org.eclipse.core.expressions;bundle-version="3.4.600";visibility:=reexport,
+ org.eclipse.e4.ui.workbench.renderers.swt;visibility:=reexport
 Export-Package: org.txm.chartsengine.rcp,
  org.txm.chartsengine.rcp.editors,
  org.txm.chartsengine.rcp.events,
Index: tmp/org.txm.chartsengine.jfreechart.core/META-INF/MANIFEST.MF
===================================================================
--- tmp/org.txm.chartsengine.jfreechart.core/META-INF/MANIFEST.MF	(revision 774)
+++ tmp/org.txm.chartsengine.jfreechart.core/META-INF/MANIFEST.MF	(revision 775)
@@ -4,11 +4,11 @@
 Bundle-SymbolicName: org.txm.chartsengine.jfreechart.core;singleton:=true
 Bundle-Version: 1.0.0.qualifier
 Require-Bundle: org.txm.libs.jfreechart;bundle-version="1.0.17";visibility:=reexport,
- org.txm.libs.itext,
+ org.txm.libs.itext;visibility:=reexport,
  org.eclipse.core.runtime,
  org.txm.libs.jfreesvg;bundle-version="1.7.0";visibility:=reexport,
  org.txm.chartsengine.core;bundle-version="1.0.0";visibility:=reexport,
- org.txm.core
+ org.txm.core;visibility:=reexport
 Bundle-RequiredExecutionEnvironment: JavaSE-1.7
 Export-Package: org.txm.chartsengine.jfreechart.core,
  org.txm.chartsengine.jfreechart.core.preferences,
Index: tmp/org.txm.partition.rcp/.classpath
===================================================================
--- tmp/org.txm.partition.rcp/.classpath	(revision 774)
+++ tmp/org.txm.partition.rcp/.classpath	(revision 775)
@@ -1,7 +1,11 @@
 <?xml version="1.0" encoding="UTF-8"?>
 <classpath>
 	<classpathentry kind="con" path="org.eclipse.jdt.launching.JRE_CONTAINER/org.eclipse.jdt.internal.debug.ui.launcher.StandardVMType/JavaSE-1.7"/>
-	<classpathentry kind="con" path="org.eclipse.pde.core.requiredPlugins"/>
+	<classpathentry kind="con" path="org.eclipse.pde.core.requiredPlugins">
+		<accessrules>
+			<accessrule kind="accessible" pattern="**"/>
+		</accessrules>
+	</classpathentry>
 	<classpathentry kind="src" path="src"/>
 	<classpathentry kind="output" path="bin"/>
 </classpath>
Index: tmp/org.txm.progression.rcp/.classpath
===================================================================
--- tmp/org.txm.progression.rcp/.classpath	(revision 774)
+++ tmp/org.txm.progression.rcp/.classpath	(revision 775)
@@ -1,7 +1,11 @@
 <?xml version="1.0" encoding="UTF-8"?>
 <classpath>
 	<classpathentry kind="con" path="org.eclipse.jdt.launching.JRE_CONTAINER/org.eclipse.jdt.internal.debug.ui.launcher.StandardVMType/JavaSE-1.6"/>
-	<classpathentry kind="con" path="org.eclipse.pde.core.requiredPlugins"/>
+	<classpathentry kind="con" path="org.eclipse.pde.core.requiredPlugins">
+		<accessrules>
+			<accessrule kind="accessible" pattern="**"/>
+		</accessrules>
+	</classpathentry>
 	<classpathentry kind="src" path="src"/>
 	<classpathentry kind="output" path="bin"/>
 </classpath>
Index: tmp/org.txm.progression.rcp/src/org/txm/progression/rcp/chartsengine/events/ProgressionEventCallBack.java
===================================================================
--- tmp/org.txm.progression.rcp/src/org/txm/progression/rcp/chartsengine/events/ProgressionEventCallBack.java	(revision 774)
+++ tmp/org.txm.progression.rcp/src/org/txm/progression/rcp/chartsengine/events/ProgressionEventCallBack.java	(revision 775)
@@ -173,7 +173,6 @@
 						return;
 					}
 					
-					
 					ChartMouseEvent chartEvent = (ChartMouseEvent) o;
 					ChartEntity entity = chartEvent.getEntity();
 					final ArrayList<Integer> selectedPointPositions = ((ProgressionChartCreator) chartEditor.getResult().getChartCreator()).getSelectedPointPositions(chartEditor.getChart());
Index: tmp/org.txm.chartsengine.core/.classpath
===================================================================
--- tmp/org.txm.chartsengine.core/.classpath	(revision 774)
+++ tmp/org.txm.chartsengine.core/.classpath	(revision 775)
@@ -1,7 +1,11 @@
 <?xml version="1.0" encoding="UTF-8"?>
 <classpath>
 	<classpathentry kind="con" path="org.eclipse.jdt.launching.JRE_CONTAINER/org.eclipse.jdt.internal.debug.ui.launcher.StandardVMType/JavaSE-1.6"/>
-	<classpathentry kind="con" path="org.eclipse.pde.core.requiredPlugins"/>
+	<classpathentry kind="con" path="org.eclipse.pde.core.requiredPlugins">
+		<accessrules>
+			<accessrule kind="accessible" pattern="**"/>
+		</accessrules>
+	</classpathentry>
 	<classpathentry kind="src" path="src"/>
 	<classpathentry kind="output" path="bin"/>
 </classpath>
Index: tmp/org.txm.chartsengine.core/META-INF/MANIFEST.MF
===================================================================
--- tmp/org.txm.chartsengine.core/META-INF/MANIFEST.MF	(revision 774)
+++ tmp/org.txm.chartsengine.core/META-INF/MANIFEST.MF	(revision 775)
@@ -3,9 +3,7 @@
 Bundle-Name: Charts Engine Core
 Bundle-SymbolicName: org.txm.chartsengine.core;singleton:=true
 Bundle-Version: 1.0.0.qualifier
-Require-Bundle: org.eclipse.core.runtime,
- org.txm.utils,
- org.txm.core;bundle-version="0.7.0"
+Require-Bundle: org.txm.core;bundle-version="0.7.0";visibility:=reexport
 Bundle-RequiredExecutionEnvironment: JavaSE-1.7
 Export-Package: org.txm.chartsengine.core,
  org.txm.chartsengine.core.messages,
Index: tmp/org.txm.chartsengine.jfreechart.rcp/.classpath
===================================================================
--- tmp/org.txm.chartsengine.jfreechart.rcp/.classpath	(revision 774)
+++ tmp/org.txm.chartsengine.jfreechart.rcp/.classpath	(revision 775)
@@ -1,7 +1,11 @@
 <?xml version="1.0" encoding="UTF-8"?>
 <classpath>
 	<classpathentry kind="con" path="org.eclipse.jdt.launching.JRE_CONTAINER/org.eclipse.jdt.internal.debug.ui.launcher.StandardVMType/JavaSE-1.6"/>
-	<classpathentry kind="con" path="org.eclipse.pde.core.requiredPlugins"/>
+	<classpathentry kind="con" path="org.eclipse.pde.core.requiredPlugins">
+		<accessrules>
+			<accessrule kind="accessible" pattern="**"/>
+		</accessrules>
+	</classpathentry>
 	<classpathentry kind="src" path="src"/>
 	<classpathentry kind="output" path="bin"/>
 </classpath>
Index: tmp/org.txm.chartsengine.jfreechart.rcp/META-INF/MANIFEST.MF
===================================================================
--- tmp/org.txm.chartsengine.jfreechart.rcp/META-INF/MANIFEST.MF	(revision 774)
+++ tmp/org.txm.chartsengine.jfreechart.rcp/META-INF/MANIFEST.MF	(revision 775)
@@ -4,16 +4,10 @@
 Bundle-SymbolicName: org.txm.chartsengine.jfreechart.rcp;singleton:=true
 Bundle-Version: 1.0.0.qualifier
 Bundle-RequiredExecutionEnvironment: JavaSE-1.7
-Require-Bundle: org.eclipse.core.expressions;bundle-version="3.4.600",
- org.txm.chartsengine.jfreechart.core;bundle-version="1.0.0",
- org.eclipse.core.runtime;bundle-version="3.10.0",
- org.eclipse.ui;bundle-version="3.106.1",
- org.txm.ca.core;bundle-version="1.0.0",
- org.txm.core;bundle-version="0.7.0",
- org.txm.libs.jfreechart,
- org.txm.chartsengine.core,
- org.txm.chartsengine.rcp;bundle-version="1.0.0",
- org.txm.rcp;bundle-version="0.7.8"
+Require-Bundle: org.txm.chartsengine.jfreechart.core;bundle-version="1.0.0";visibility:=reexport,
+ org.txm.chartsengine.rcp;bundle-version="1.0.0";visibility:=reexport,
+ org.txm.rcp;bundle-version="0.7.8";visibility:=reexport,
+ org.txm.ca.core;bundle-version="1.0.0";visibility:=reexport
 Export-Package: org.txm.chartsengine.jfreechart.rcp,
  org.txm.chartsengine.jfreechart.rcp.events,
  org.txm.chartsengine.jfreechart.rcp.handlers,
Index: tmp/org.txm.chartsengine.svgbatik.rcp/.classpath
===================================================================
--- tmp/org.txm.chartsengine.svgbatik.rcp/.classpath	(revision 774)
+++ tmp/org.txm.chartsengine.svgbatik.rcp/.classpath	(revision 775)
@@ -1,7 +1,11 @@
 <?xml version="1.0" encoding="UTF-8"?>
 <classpath>
 	<classpathentry kind="con" path="org.eclipse.jdt.launching.JRE_CONTAINER/org.eclipse.jdt.internal.debug.ui.launcher.StandardVMType/JavaSE-1.6"/>
-	<classpathentry kind="con" path="org.eclipse.pde.core.requiredPlugins"/>
+	<classpathentry kind="con" path="org.eclipse.pde.core.requiredPlugins">
+		<accessrules>
+			<accessrule kind="accessible" pattern="**"/>
+		</accessrules>
+	</classpathentry>
 	<classpathentry kind="src" path="src"/>
 	<classpathentry kind="output" path="bin"/>
 </classpath>
